//----------------------------------------------------
/**
	\file	rdbgapp.c

	\brief	Knihovna pro definovani struktury ladicich promenych
			kazda aplikace si tuto knihovnu nadefinuje vlastni
			<<< APPLICATION >>>
			
	\author	ConTeK s.r.o., Ing. Vladimir Kastner
	\version	01.01
	\date	12.01.2007
*/
//----------------------------------------------------

#include <dbgw.h>
#include <timeticks.h>

#include "gvariables.h"

#ifdef DBGW_DEBUG

//----------------------------------------------------
/**
	\brief	Definice sledovanych promenych TimeTicks
*/
//----------------------------------------------------

// Definice skupiny ladicich promennych
DBGW_STR(gAddTimerCnt, _T("gAddTimerCnt"));
DBGW_STR(gTimerCnt, _T("gTimerCnt"));
DBGW_STR(tmTicks, _T("tmTicks"));
DBGW_STR(ltmTicks, _T("ltmTicks"));

DBGW_GROUP_BEGIN(TimeTicks, _T("TimeTicks"))
	DBGW_VAR_U16(gAddTimerCnt, gTimeTickCtx.AddTimerCnt)
	DBGW_VAR_U32(gTimerCnt, gTimeTickCtx.TimerCnt)
	DBGW_FUN_U16(tmTicks, tmTicks)
	DBGW_FUN_U32(ltmTicks, ltmTicks)
DBGW_GROUP_END;


//----------------------------------------------------
/**
	\brief	Definice sledovanych promenych Clutch Drive
*/
//----------------------------------------------------

// Definice skupiny ladicich promennych
//DBGW_STR(currSumI, _T("currSumI"));
//DBGW_STR(currOut, _T("currOut"));
//
//DBGW_GROUP_BEGIN(MotorDrive, _T("MotorDrive PID"))
//	DBGW_VAR_FLOAT(currOut, gMotorDriveCtx.Regul.Current.Out)	
//	DBGW_VAR_FLOAT(currSumI, gMotorDriveCtx.Regul.Current.SumI)
//DBGW_GROUP_END;

//----------------------------------------------------
/**
	\brief	Definice struktury sledovanych promenych
			nutno v kazde aplikaci doplnit
*/
//----------------------------------------------------

// Struktura sledovanych ladicich promennych

DBGW_BEGIN
	//DBGW_ADD(MotorDrive)		// Pridani skupiny MotorDrive
	DBGW_ADD(TimeTicks)			// Pridani skupiny TimeTicks
DBGW_END;

#endif